Subject: bug#55804: 29.0.50; xwidget-webkit cannot render local html file

From: Po Lu <[email-masked]>
Date: Sun, 05 Jun 2022 19:48:36 +0800

drshapeless <[email-masked]> writes:

> When I use `xwidget-webkit-browse-url` to browse local html files,
> e.g. "file:///home/user/test.html", only a blank page is shown.
>
> But when I use `xwidget-webkit-browse-url` to browse external websites,
> it can render normally, e.g. "https://google.com".
>
> I thought xwidget did not support browsing local file, but from my
> testing, every type of files other than html, including directories, can
> be opened, e.g. "file:///home/user/test.png", "file:///home/user/".
>
> This behaviour can only be observed on Linux machine, on macOS, it is
> fine. I suspect the bug is related to gtk.

Does this only happen in Emacs, or in other WebKitGTK-based browsers
(try Epiphany) as well?